Skip to main content

Trigger run of building block

POST 

/api/meshobjects/meshbuildingblocks/:uuid/trigger-run

Triggers a new run for an existing meshBuildingBlock. This creates a new building block run without requiring input changes. Pass dryRun: true in the request body to perform a dry run (OpenTofu building blocks only). A dry run on a building block that is marked for deletion is rejected with 400 Bad Request. A dry run is rejected with 409 Conflict while the building block still waits for the start of a run that an earlier request triggered. The response shows the building block before the triggered run has started. To wait for that run, see Waiting for a Run.

Request​

Responses​

Trigger run accepted